#!/usr/bin/python3

# example usage of arg
# $ ./arg_example.py -switch -astring Test -some-numbers 555 -a-float 3.14
#    arg demo
#    ~~~~~~~~
#    switch:         True
#    astring:        Test
#    adefaultstring: defaultvalue
#    some-numbers:   555
#    a-float:        3.14

import sys
from arg.arg import arg

def main():
    arguments = arg('switch:b,astring:s,adefaultstring:s:defaultvalue,some-numbers:i,a-float:f', sys.argv)

    print("arg demo")
    print("~~~~~~~~")
    print("switch:         " + str(arguments.get_parameter_by_name("switch")))
    print("astring:        " + str(arguments.get_parameter_by_name("astring")))
    print("adefaultstring: " + str(arguments.get_parameter_by_name("adefaultstring")))
    print("some-numbers:   " + str(arguments.get_parameter_by_name("some-numbers")))
    print("a-float:        " + str(arguments.get_parameter_by_name("a-float")))

if __name__ == '__main__':
    main()
